# Get Device Information

> Request and retrieve detailed device information for both InvisOutlet and InvisDeco.

**Request**

* <mark style="color:red;">`packetID`</mark>: A randomly generated six-digit number.
* <mark style="color:red;">`payload`</mark>:&#x20;
  * <mark style="color:red;">`callbackName`</mark>: 12

```json
{
    "packetID": 373184,    
    "payload":
    {
        "callbackName": 12,  
    }
}
```

**Response**

* <mark style="color:red;">`sn`</mark>: The serial number of the device.
* <mark style="color:red;">`packetID`</mark>: A randomly generated six-digit number.
* <mark style="color:red;">`payload`</mark>:&#x20;
  * <mark style="color:red;">`callbackName`</mark>: 12
  * <mark style="color:red;">`callbackArgs`</mark>:&#x20;
    * <mark style="color:red;">`IM`</mark>:
      * <mark style="color:red;">`sn`</mark>: Serial number
      * <mark style="color:red;">`MAC`</mark>: MAC address
      * <mark style="color:red;">`device`</mark>: Name of the device role
      * <mark style="color:red;">`hw_rev`</mark>: Hardware version of the InvisOutlet
      * <mark style="color:red;">`fw_rev`</mark>: Firmware version of the InvisOutlet
    * <mark style="color:red;">`PM`</mark>:
      * <mark style="color:red;">`online`</mark>: The status of whether the InvisDeco is connected to InvisOutlet
      * <mark style="color:red;">`sn`</mark>: Serial number
      * <mark style="color:red;">`MAC`</mark>: MAC address
      * <mark style="color:red;">`device`</mark>: Name of the device role
      * <mark style="color:red;">`type`</mark>: Name of the device type
      * <mark style="color:red;">`hw_rev`</mark>: Hardware version of the InvisDeco
      * <mark style="color:red;">`fw_rev`</mark>: Firmware version of the InvisDeco

```json
{
    "sn": "11B29200071",
    "packetID": 373184,
    "PUBACK": 1,
    "payload": {
        "callbackName": 12,
        "callbackArgs": {
            "IM": {
                "sn": "11B29200071",
                "MAC": "30EDA08006A0",
                "device": "InvisOutlet",
                "hw_rev": "revB",
                "fw_rev": "0.0.1"
            },
            "PM": {
                "online": true,
                "sn": "21A22100035",
                "MAC": "D8BC3830CD38",
                "device": "InvisDeco",
                "type": "Aura",
                "hw_rev": "revA",
                "fw_rev": "0.0.2"
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.intecular.com/invisoutlet-aura/information-and-preferences/get-device-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
